Subject: bug#48692: closed (Re: bug#48692: busctl call fails on elogind 243.7)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 20 Apr 2024 01:01:03 +0000

Your bug report

#48692: busctl call fails on elogind 243.7

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48692: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=48692
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48692: busctl call fails on elogind 243.7
From: Maxim Cournoyer <[email-masked]>
To: Andrew Tropin <[email-masked]>
Cc: [email-masked]
Date: Fri, 19 Apr 2024 20:59:36 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Andrew Tropin <[email-masked]> writes:

> I try to use busctl to control the brightness of my screen:
>
> $ busctl call org.freedesktop.login1
> /org/freedesktop/login1/session/auto org.freedesktop.login1.Session
> SetBrightness "ssu" "backlight" "intel_backlight" 24242
> Call failed: Connection timed out
>
> It worked once, but at the same reported connection timed out, after
> that it doesn't work and report the same connection timed out message.
> After restart the situtation repeats.
>
> I tried to build Guix System with elogind 246.10, the issue with busctl
> is gone and it works fine without timed out message any number of times.

Since we are now using a newer elogind, I trust this issue is obsolete.

Closing.

-- 
Thanks,
Maxim

Subject: busctl call fails on elogind 243.7
From: Andrew Tropin <[email-masked]>
To: [email-masked]
Date: Thu, 27 May 2021 11:27:14 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I try to use busctl to control the brightness of my screen:

$ busctl call org.freedesktop.login1 /org/freedesktop/login1/session/auto org.freedesktop.login1.Session SetBrightness "ssu" "backlight" "intel_backlight" 24242
Call failed: Connection timed out

It worked once, but at the same reported connection timed out, after
that it doesn't work and report the same connection timed out message.
After restart the situtation repeats.

I tried to build Guix System with elogind 246.10, the issue with busctl
is gone and it works fine without timed out message any number of times.